Custom field filter do not work cross-project, unless custom field is marked for all projects

2013-08-26 09:31 - Wolfgang Neudorfer

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Custom fields Estimated time: 0.00 hour

Target version:    

Resolution: Fixed Affected version: 2.2.4

Description

A custom field (checkbox) exists that is used in multiple projects. A custom query to look for all issues (cross-project) with the

checked custom field should be performed. However, it seems that custom field filters do not work cross-project, unless the custom

field is marked to be active for all projects.

Steps to reproduce:

1. Create a custom field and make it available in multiple projects. Check "Used as a filter".

2. Create a custom query

3. Try to add the custom field to the query. The custom field is not available in the "Add filter" dropdown.

Environment:

Redmine version                          2.2.4.stable

Ruby version                             1.8.7 (x86_64-linux)

Rails version                            3.2.13

Environment                              production

Database adapter                         MySQL

Redmine plugins:

redmine_wiki_lists                       0.0.1

wiking                                   0.0.3

History

#1 - 2013-08-26 09:33 - Wolfgang Neudorfer

Additional info: I don't think it's a privilege issue as I'm currently logged in as Administrator.

#2 - 2013-11-15 19:11 - Wolfgang Neudorfer

Hi community,

could somebody look into this issue? Any help would be greatly appreciated.

Regards, Wolfgang

#3 - 2020-07-19 06:24 - Go MAEDA

- Status changed from New to Closed

- Resolution set to Fixed

In Redmine 3.4 or later, custom fields that do not have "For All Projects" enabled are also included in the filter.
